package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag760;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT760Creator;

/**
 * @author wuzhe
 * @date 2023/2/24
 */
public class TagB15BCreator extends AbsTagCreate {

     private MT760Creator mt760Creator;

    public TagB15BCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt760Creator = (MT760Creator) absMTCreator;
    }

    public  void creator()
    {
        String tagB15BValue = mt760Creator.getNewSequenceOfB();
        mt760Creator.set("15B", tagB15BValue);
    }
}
